<?
/**
 * Rotina que controla o acesso s pginas do mdulo. Carrega as bibliotecas
 * padres do sistema e executa tarefas de inicializao. 
 *
 * @author Cristiano Cabral (cristiano.cabral@gmail.com)
 * @since 25/08/2008
 */
date_default_timezone_set ('America/Sao_Paulo');

/**
 * Obtm o tempo com preciso de microsegundos. Essa informao  utilizada para
 * calcular o tempo de execuo da pgina.  
 * 
 * @return float
 * @see /includes/rodape.inc
 */
function getmicrotime(){
	list( $usec, $sec ) = explode( ' ', microtime() );
	return (float) $usec + (float) $sec; 
}

// obtm o tempo inicial da execuo
$Tinicio = getmicrotime();

// controle o cache do navegador
header( "Cache-Control: no-store, no-cache, must-revalidate" );
header( "Cache-Control: post-check=0, pre-check=0", false );
header( "Cache-control: private, no-cache" );   
header( "Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT" );
header( "Pragma: no-cache" );

// carrega as funes gerais
include_once "config.inc";
include "verificasistema.inc";
include_once APPRAIZ . "includes/funcoes.inc";
include_once APPRAIZ . "includes/classes_simec.inc";

// abre conexo com o servidor de banco de dados
$db = new cls_banco();

//Verifica permisses de acesso ao mdulo requisitado via URL
include APPRAIZ . 'includes/testa_acesso.inc';

?>