<?php
/**
 * classe TTableRow
 * Reponsvel pela exibio de uma linha de uma tabela
 */
class TTableRow extends TElement
{
    /**
     * mtodo construtor
     * Instancia uma nova linha
     */
    public function __construct()
    {
        parent::__construct('tr');
    }

    /**
     * mtodo addCell
     * Agrega um novo objeto clula (TTableCell)  linha
     * @param  $value = contedo da clula
     */
    public function addCell($value)
    {
        // instancia objeto clula
        $cell = new TTableCell($value);
        parent::add($cell);
        // retorna o objeto instanciado
        return $cell;
    }
}
?>